using UnityEngine;
using System.Collections;

public class Handbag : Item {

	void Start () {
		gc = GameController.instance;
		room = FindObjectOfType<Room>();
		if(GameController.inventory.Contains (items.Mobile)){
			Destroy (gameObject);
		}
	}

	void Action(){
		room.player.SendMessage ("UnsetInteractiveItem");
		room.SendMessage("HideObjText");
		room.SendMessage ("ShowMessage","You take your handbag. Inside it there's your mobile. You switch its light on.");
		room.player.SendMessage ("GetTorch");
		Destroy (gameObject);
	}
}
